MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025934Open CASCADE[OCCT] OCCT:Testspublic2015-03-13 17:162015-10-16 16:47
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025934: Review PERF test group
DescriptionRemove perf subgroups which don't contain meaningful check
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026110closedbugmaster Restoring perf bspline test subgroup 

-  Notes
(0038338)
git (administrator)
2015-03-13 17:30

Branch CR25934 has been created by apn.

SHA-1: a12a89ce4b0c50391630cdbd380175ff89ba4101


Detailed log of new commits:

Author: apn
Date: Fri Mar 13 17:26:12 2015 +0300

    0025934: Review PERF test group
    
    Remove perf subgroups which don't contain meaningful check
(0038339)
apn (administrator)
2015-03-13 17:30

Remove following test subgroups:

perf bspline intersect - creates lots on intersections of source surfaces (no any checking, only cpulimit)
perf multi_mesh_selection - displays 30 boxes in various dispmodes (wireframe\shrink\etc) and vselmodes and one of these is hided/displayed 100 times (no check)
perf multi_mesh_shading - various actions with camera (also loaded 30 boxes)
perf multi_mesh_shrink - same as multi_mesh_shading but in shrink display mode
perf multi_mesh_wireframe - same as multi_mesh_shading but in wireframe display mode
perf multi_object_hlr - same as multi_mesh_shading but in hlr display mode
perf multi_object_selection - select boxes in various vselmodes (but no checking selected or not)
perf multi_object_shading - same operations with camera in shading mode
perf multi_object_wireframe - same operations with camera in wireframe mode

Single - same operations as in multi but with one box.
perf single_mesh_selection
perf single_mesh_shading
perf single_mesh_shrink
perf single_mesh_wireframe
perf single_object_hlr
perf single_object_selection
perf single_object_shading
perf single_object_wireframe
(0038340)
apn (administrator)
2015-03-13 17:31

Dear kgv,
Please review CR25934.
(0038343)
kgv (developer)
2015-03-13 17:41

The patch looks OK for me.
(0040027)
abv (manager)
2015-04-18 18:38

Hey, you have deleted important test perf bspline intersect -- it is used for evaluation of performance of b-splines, please restore!
(0047041)
git (administrator)
2015-10-16 16:47

Branch CR25934 has been deleted by kgv.

SHA-1: a12a89ce4b0c50391630cdbd380175ff89ba4101

- Related Changesets
occt: master dfa0d64a
Timestamp: 2015-03-13 14:26:12
Author: apn
Committer: bugmaster
Details ] Diff ]
0025934: Review PERF test group

Remove perf subgroups which don't contain meaningful check
rm - tests/perf/bspline/intersect Diff ] File ]
mod - tests/perf/grids.list Diff ] File ]
rm - tests/perf/multi_mesh_selection/A1 Diff ] File ]
rm - tests/perf/multi_mesh_selection/A2 Diff ] File ]
rm - tests/perf/multi_mesh_selection/A3 Diff ] File ]
rm - tests/perf/multi_mesh_selection/A4 Diff ] File ]
rm - tests/perf/multi_mesh_selection/A5 Diff ] File ]
rm - tests/perf/multi_mesh_selection/A6 Diff ] File ]
rm - tests/perf/multi_mesh_selection/A7 Diff ] File ]
rm - tests/perf/multi_mesh_selection/A8 Diff ] File ]
rm - tests/perf/multi_mesh_selection/A9 Diff ] File ]
rm - tests/perf/multi_mesh_selection/B1 Diff ] File ]
rm - tests/perf/multi_mesh_selection/B2 Diff ] File ]
rm - tests/perf/multi_mesh_selection/B3 Diff ] File ]
rm - tests/perf/multi_mesh_selection/B4 Diff ] File ]
rm - tests/perf/multi_mesh_selection/B5 Diff ] File ]
rm - tests/perf/multi_mesh_selection/B6 Diff ] File ]
rm - tests/perf/multi_mesh_selection/B7 Diff ] File ]
rm - tests/perf/multi_mesh_selection/begin Diff ] File ]
rm - tests/perf/multi_mesh_shading/A1 Diff ] File ]
rm - tests/perf/multi_mesh_shading/A2 Diff ] File ]
rm - tests/perf/multi_mesh_shading/A3 Diff ] File ]
rm - tests/perf/multi_mesh_shading/A4 Diff ] File ]
rm - tests/perf/multi_mesh_shading/A5 Diff ] File ]
rm - tests/perf/multi_mesh_shading/A6 Diff ] File ]
rm - tests/perf/multi_mesh_shading/A7 Diff ] File ]
rm - tests/perf/multi_mesh_shading/A8 Diff ] File ]
rm - tests/perf/multi_mesh_shading/begin Diff ] File ]
rm - tests/perf/multi_mesh_shrink/A1 Diff ] File ]
rm - tests/perf/multi_mesh_shrink/A2 Diff ] File ]
rm - tests/perf/multi_mesh_shrink/A3 Diff ] File ]
rm - tests/perf/multi_mesh_shrink/A4 Diff ] File ]
rm - tests/perf/multi_mesh_shrink/A5 Diff ] File ]
rm - tests/perf/multi_mesh_shrink/A6 Diff ] File ]
rm - tests/perf/multi_mesh_shrink/A7 Diff ] File ]
rm - tests/perf/multi_mesh_shrink/A8 Diff ] File ]
rm - tests/perf/multi_mesh_shrink/begin Diff ] File ]
rm - tests/perf/multi_mesh_wireframe/A1 Diff ] File ]
rm - tests/perf/multi_mesh_wireframe/A2 Diff ] File ]
rm - tests/perf/multi_mesh_wireframe/A3 Diff ] File ]
rm - tests/perf/multi_mesh_wireframe/A4 Diff ] File ]
rm - tests/perf/multi_mesh_wireframe/A5 Diff ] File ]
rm - tests/perf/multi_mesh_wireframe/A6 Diff ] File ]
rm - tests/perf/multi_mesh_wireframe/A7 Diff ] File ]
rm - tests/perf/multi_mesh_wireframe/A8 Diff ] File ]
rm - tests/perf/multi_mesh_wireframe/begin Diff ] File ]
rm - tests/perf/multi_object_hlr/A1 Diff ] File ]
rm - tests/perf/multi_object_hlr/A2 Diff ] File ]
rm - tests/perf/multi_object_hlr/A3 Diff ] File ]
rm - tests/perf/multi_object_hlr/A4 Diff ] File ]
rm - tests/perf/multi_object_hlr/A5 Diff ] File ]
rm - tests/perf/multi_object_hlr/A6 Diff ] File ]
rm - tests/perf/multi_object_hlr/A7 Diff ] File ]
rm - tests/perf/multi_object_hlr/A8 Diff ] File ]
rm - tests/perf/multi_object_hlr/begin Diff ] File ]
rm - tests/perf/multi_object_selection/A1 Diff ] File ]
rm - tests/perf/multi_object_selection/A2 Diff ] File ]
rm - tests/perf/multi_object_selection/A3 Diff ] File ]
rm - tests/perf/multi_object_selection/A4 Diff ] File ]
rm - tests/perf/multi_object_selection/A5 Diff ] File ]
rm - tests/perf/multi_object_selection/A6 Diff ] File ]
rm - tests/perf/multi_object_selection/A7 Diff ] File ]
rm - tests/perf/multi_object_selection/A8 Diff ] File ]
rm - tests/perf/multi_object_selection/A9 Diff ] File ]
rm - tests/perf/multi_object_selection/B1 Diff ] File ]
rm - tests/perf/multi_object_selection/B2 Diff ] File ]
rm - tests/perf/multi_object_selection/B3 Diff ] File ]
rm - tests/perf/multi_object_selection/B4 Diff ] File ]
rm - tests/perf/multi_object_selection/B5 Diff ] File ]
rm - tests/perf/multi_object_selection/B6 Diff ] File ]
rm - tests/perf/multi_object_selection/B7 Diff ] File ]
rm - tests/perf/multi_object_selection/B8 Diff ] File ]
rm - tests/perf/multi_object_selection/B9 Diff ] File ]
rm - tests/perf/multi_object_selection/begin Diff ] File ]
rm - tests/perf/multi_object_selection/C1 Diff ] File ]
rm - tests/perf/multi_object_selection/C2 Diff ] File ]
rm - tests/perf/multi_object_selection/C3 Diff ] File ]
rm - tests/perf/multi_object_selection/C4 Diff ] File ]
rm - tests/perf/multi_object_selection/C5 Diff ] File ]
rm - tests/perf/multi_object_selection/C6 Diff ] File ]
rm - tests/perf/multi_object_selection/C7 Diff ] File ]
rm - tests/perf/multi_object_selection/C8 Diff ] File ]
rm - tests/perf/multi_object_selection/C9 Diff ] File ]
rm - tests/perf/multi_object_selection/D1 Diff ] File ]
rm - tests/perf/multi_object_selection/D2 Diff ] File ]
rm - tests/perf/multi_object_selection/D3 Diff ] File ]
rm - tests/perf/multi_object_shading/A1 Diff ] File ]
rm - tests/perf/multi_object_shading/A2 Diff ] File ]
rm - tests/perf/multi_object_shading/A3 Diff ] File ]
rm - tests/perf/multi_object_shading/A4 Diff ] File ]
rm - tests/perf/multi_object_shading/A5 Diff ] File ]
rm - tests/perf/multi_object_shading/A6 Diff ] File ]
rm - tests/perf/multi_object_shading/A7 Diff ] File ]
rm - tests/perf/multi_object_shading/A8 Diff ] File ]
rm - tests/perf/multi_object_shading/begin Diff ] File ]
rm - tests/perf/multi_object_wireframe/A1 Diff ] File ]
rm - tests/perf/multi_object_wireframe/A2 Diff ] File ]
rm - tests/perf/multi_object_wireframe/A3 Diff ] File ]
rm - tests/perf/multi_object_wireframe/A4 Diff ] File ]
rm - tests/perf/multi_object_wireframe/A5 Diff ] File ]
rm - tests/perf/multi_object_wireframe/A6 Diff ] File ]
rm - tests/perf/multi_object_wireframe/A7 Diff ] File ]
rm - tests/perf/multi_object_wireframe/A8 Diff ] File ]
rm - tests/perf/multi_object_wireframe/begin Diff ] File ]
rm - tests/perf/single_mesh_selection/A1 Diff ] File ]
rm - tests/perf/single_mesh_selection/A2 Diff ] File ]
rm - tests/perf/single_mesh_selection/A3 Diff ] File ]
rm - tests/perf/single_mesh_selection/A4 Diff ] File ]
rm - tests/perf/single_mesh_selection/A5 Diff ] File ]
rm - tests/perf/single_mesh_selection/A6 Diff ] File ]
rm - tests/perf/single_mesh_selection/A7 Diff ] File ]
rm - tests/perf/single_mesh_selection/A8 Diff ] File ]
rm - tests/perf/single_mesh_selection/A9 Diff ] File ]
rm - tests/perf/single_mesh_selection/B1 Diff ] File ]
rm - tests/perf/single_mesh_selection/B2 Diff ] File ]
rm - tests/perf/single_mesh_selection/B3 Diff ] File ]
rm - tests/perf/single_mesh_selection/B4 Diff ] File ]
rm - tests/perf/single_mesh_selection/B5 Diff ] File ]
rm - tests/perf/single_mesh_selection/B6 Diff ] File ]
rm - tests/perf/single_mesh_selection/B7 Diff ] File ]
rm - tests/perf/single_mesh_selection/begin Diff ] File ]
rm - tests/perf/single_mesh_shading/A1 Diff ] File ]
rm - tests/perf/single_mesh_shading/A2 Diff ] File ]
rm - tests/perf/single_mesh_shading/A3 Diff ] File ]
rm - tests/perf/single_mesh_shading/A4 Diff ] File ]
rm - tests/perf/single_mesh_shading/A5 Diff ] File ]
rm - tests/perf/single_mesh_shading/A6 Diff ] File ]
rm - tests/perf/single_mesh_shading/A7 Diff ] File ]
rm - tests/perf/single_mesh_shading/A8 Diff ] File ]
rm - tests/perf/single_mesh_shading/begin Diff ] File ]
rm - tests/perf/single_mesh_shrink/A1 Diff ] File ]
rm - tests/perf/single_mesh_shrink/A2 Diff ] File ]
rm - tests/perf/single_mesh_shrink/A3 Diff ] File ]
rm - tests/perf/single_mesh_shrink/A4 Diff ] File ]
rm - tests/perf/single_mesh_shrink/A5 Diff ] File ]
rm - tests/perf/single_mesh_shrink/A6 Diff ] File ]
rm - tests/perf/single_mesh_shrink/A7 Diff ] File ]
rm - tests/perf/single_mesh_shrink/A8 Diff ] File ]
rm - tests/perf/single_mesh_shrink/begin Diff ] File ]
rm - tests/perf/single_mesh_wireframe/A1 Diff ] File ]
rm - tests/perf/single_mesh_wireframe/A2 Diff ] File ]
rm - tests/perf/single_mesh_wireframe/A3 Diff ] File ]
rm - tests/perf/single_mesh_wireframe/A4 Diff ] File ]
rm - tests/perf/single_mesh_wireframe/A5 Diff ] File ]
rm - tests/perf/single_mesh_wireframe/A6 Diff ] File ]
rm - tests/perf/single_mesh_wireframe/A7 Diff ] File ]
rm - tests/perf/single_mesh_wireframe/A8 Diff ] File ]
rm - tests/perf/single_mesh_wireframe/begin Diff ] File ]
rm - tests/perf/single_object_hlr/A1 Diff ] File ]
rm - tests/perf/single_object_hlr/A2 Diff ] File ]
rm - tests/perf/single_object_hlr/A3 Diff ] File ]
rm - tests/perf/single_object_hlr/A4 Diff ] File ]
rm - tests/perf/single_object_hlr/A5 Diff ] File ]
rm - tests/perf/single_object_hlr/A6 Diff ] File ]
rm - tests/perf/single_object_hlr/A7 Diff ] File ]
rm - tests/perf/single_object_hlr/A8 Diff ] File ]
rm - tests/perf/single_object_hlr/begin Diff ] File ]
rm - tests/perf/single_object_selection/A1 Diff ] File ]
rm - tests/perf/single_object_selection/A2 Diff ] File ]
rm - tests/perf/single_object_selection/A3 Diff ] File ]
rm - tests/perf/single_object_selection/A4 Diff ] File ]
rm - tests/perf/single_object_selection/A5 Diff ] File ]
rm - tests/perf/single_object_selection/A6 Diff ] File ]
rm - tests/perf/single_object_selection/A7 Diff ] File ]
rm - tests/perf/single_object_selection/A8 Diff ] File ]
rm - tests/perf/single_object_selection/A9 Diff ] File ]
rm - tests/perf/single_object_selection/B1 Diff ] File ]
rm - tests/perf/single_object_selection/B2 Diff ] File ]
rm - tests/perf/single_object_selection/B3 Diff ] File ]
rm - tests/perf/single_object_selection/B4 Diff ] File ]
rm - tests/perf/single_object_selection/B5 Diff ] File ]
rm - tests/perf/single_object_selection/B6 Diff ] File ]
rm - tests/perf/single_object_selection/B7 Diff ] File ]
rm - tests/perf/single_object_selection/B8 Diff ] File ]
rm - tests/perf/single_object_selection/B9 Diff ] File ]
rm - tests/perf/single_object_selection/begin Diff ] File ]
rm - tests/perf/single_object_selection/C1 Diff ] File ]
rm - tests/perf/single_object_selection/C2 Diff ] File ]
rm - tests/perf/single_object_selection/C3 Diff ] File ]
rm - tests/perf/single_object_selection/C4 Diff ] File ]
rm - tests/perf/single_object_selection/C5 Diff ] File ]
rm - tests/perf/single_object_selection/C6 Diff ] File ]
rm - tests/perf/single_object_selection/C7 Diff ] File ]
rm - tests/perf/single_object_selection/C8 Diff ] File ]
rm - tests/perf/single_object_selection/C9 Diff ] File ]
rm - tests/perf/single_object_selection/D1 Diff ] File ]
rm - tests/perf/single_object_selection/D2 Diff ] File ]
rm - tests/perf/single_object_selection/D3 Diff ] File ]
rm - tests/perf/single_object_shading/A1 Diff ] File ]
rm - tests/perf/single_object_shading/A2 Diff ] File ]
rm - tests/perf/single_object_shading/A3 Diff ] File ]
rm - tests/perf/single_object_shading/A4 Diff ] File ]
rm - tests/perf/single_object_shading/A5 Diff ] File ]
rm - tests/perf/single_object_shading/A6 Diff ] File ]
rm - tests/perf/single_object_shading/A7 Diff ] File ]
rm - tests/perf/single_object_shading/A8 Diff ] File ]
rm - tests/perf/single_object_shading/begin Diff ] File ]
rm - tests/perf/single_object_wireframe/A1 Diff ] File ]
rm - tests/perf/single_object_wireframe/A2 Diff ] File ]
rm - tests/perf/single_object_wireframe/A3 Diff ] File ]
rm - tests/perf/single_object_wireframe/A4 Diff ] File ]
rm - tests/perf/single_object_wireframe/A5 Diff ] File ]
rm - tests/perf/single_object_wireframe/A6 Diff ] File ]
rm - tests/perf/single_object_wireframe/A7 Diff ] File ]
rm - tests/perf/single_object_wireframe/A8 Diff ] File ]
rm - tests/perf/single_object_wireframe/begin Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-13 17:16 apn New Issue
2015-03-13 17:16 apn Assigned To => apn
2015-03-13 17:17 apn Test case number => Not needed
2015-03-13 17:17 apn Status new => assigned
2015-03-13 17:30 git Note Added: 0038338
2015-03-13 17:30 apn Note Added: 0038339
2015-03-13 17:31 apn Note Added: 0038340
2015-03-13 17:31 apn Assigned To apn => kgv
2015-03-13 17:31 apn Status assigned => resolved
2015-03-13 17:41 kgv Note Added: 0038343
2015-03-13 17:41 kgv Assigned To kgv => bugmaster
2015-03-13 17:41 kgv Status resolved => reviewed
2015-03-17 12:15 apn Status reviewed => tested
2015-03-20 13:34 bugmaster Changeset attached => occt master dfa0d64a
2015-03-20 13:34 bugmaster Status tested => verified
2015-03-20 13:34 bugmaster Resolution open => fixed
2015-04-18 18:38 abv Note Added: 0040027
2015-04-20 16:11 apn Relationship added related to 0026110
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-10-16 16:47 git Note Added: 0047041


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker